%global realname erlsyslog
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	0.6.2
Release:	9%{?dist}
Summary:	Syslog facility for Erlang
Group:		Development/Libraries
License:	MIT
URL:		https://github.com/lemenkov/erlsyslog
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/lemenkov/erlsyslog.git
%endif
Source0:	https://github.com/lemenkov/erlsyslog/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}


%description
Syslog facility for Erlang.


%prep
%setup -q -n %{realname}-%{version}


%build
CFLAGS="%{optflags}" REBAR_FLAGS="--verbose 2" make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/%{realname}.hrl  $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 755 priv/%{realname}_drv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%files
%doc example
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_drv.so


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 04 2014 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-8
- Rebuild with Erlang 17.3.3

* Thu Aug 28 2014 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-7
- Rebuild with Erlang 17.2.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-4
- Actually allow building proper debuginfo

* Thu Oct 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-3
- Rebuild with new erlang_drv_version number
- Explicitly set up CFLAGS to avoid bogus debuginfo generation (rhbz #958965)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 17 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-1
- Performance optimizations

* Thu May 16 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Fix for dynamic verbosity change

* Thu May 16 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6-1
- Ver. 0.6
- Fixed driver locking on Erlang R16B
- Allow dynamically change verbosity level (don't print info or warning messages)

* Fri Apr 26 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.5-1
- Ver. 0.5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.4-1
- Ver. 0.4

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2-1
- Ver. 0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-5
- Narrowed BuildRequires

* Sun Jul 11 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-4
- Rebuild for Erlang/OTP R14A
- Simplified spec-file a bit

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-3
- Narrowed explicit requires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-1
- Ver. 0.1

* Mon May  4 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-0.3.svn10
- Get rid of unnecessary source files

* Fri Feb 20 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1-0.2.svn10
- New snapshot

* Thu Dec 18 2008 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.svn8
- Initial package

